// Window class header
#pragma once

#include <Windows.h>

namespace nf::cli {
    class Window {
    public:
        Window(unsigned int width, unsigned int height);

        void runLoop();
        void show(bool show = true);
    private:
        static LRESULT CALLBACK wndProc(HWND hWnd, UINT msg, WPARAM wParam, LPARAM lParam);
        void setSize();

        HWND m_handle;

        const char* m_wndClassName;
        const DWORD m_windowedStyle;

        unsigned int m_width, m_height;
    };
}
